%global _empty_manifest_terminate_build 0
Name:           python-watcherclient
Version:        3.2.0
Release:        2
Summary:        Python client library for Watcher API
License:        Apache-2.0
URL:            https://docs.openstack.org/python-watcherclient/latest/
Source0:        https://files.pythonhosted.org/packages/57/31/1efab72cd89e572fcff1311e1b9e7d44e4053658c37676339680c951f8d3/python-watcherclient-3.2.0.tar.gz
BuildArch:      noarch
%description
Python client library for Watcher API.

%package -n python3-watcherclient
Summary:        Python client library for Watcher API
Provides:       python-watcherclient
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-tempest
# General requires
BuildRequires:  python3-pyyaml
BuildRequires:  python3-cliff
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-osc-lib
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-six
# General requires
Requires:       python3-pyyaml
Requires:       python3-cliff
Requires:       python3-keystoneauth1
Requires:       python3-osc-lib
Requires:       python3-oslo-i18n
Requires:       python3-oslo-serialization
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
Requires:       python3-six
%description -n python3-watcherclient
Python client library for Watcher API.

%package help
Summary:        Python client library for Watcher API
Provides:       python3-watcherclient-doc
%description help
Client for resource optimization service for OpenStack.
OpenStack Watcher provides a flexible and scalable resource optimization service for
multi-tenant OpenStack-based clouds. Watcher provides a complete optimization
loop-including everything from a metrics receiver, complex event processor and
profiler, optimization processor and an action plan applier.

%prep
%autosetup -n python-watcherclient-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-watcherclient -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 3.2.0-2
- Fix install error

* Tue Jul 27 2021 OpenStack_SIG <openstack@openeuler.org> - 3.2.0-1
- Package Spec generate
